## org.gnu.pango
Class Rectangle

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.pango.Rectangle

public class Rectangle
extends Boxed

The PangoRectangle structure represents a rectangle. It is frequently used to represent the logical or ink extents of a single glyph or section of text.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`protected` `Rectangle(Handle handle)`

Method Summary
`int` `getHeight()` Returns height of the rectangle.
`protected static int` `getHeight(Handle obj)`
`int` `getWidth()` Returns width of the rectangle.
`protected static int` `getWidth(Handle obj)`
`int` `getX()` Returns X coordinate of the left side of the rectangle.
`protected static int` `getX(Handle obj)` BEGINNING OF GENERATED CODE
`int` `getY()` Returns Y coordinate of the the top side of the rectangle.
`protected static int` `getY(Handle obj)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rectangle

    protected Rectangle(Handle handle)

Method Detail

### getX

    public int getX()

  Returns X coordinate of the left side of the rectangle.

### getY

    public int getY()

  Returns Y coordinate of the the top side of the rectangle.

### getWidth

    public int getWidth()

  Returns width of the rectangle.

### getHeight

    public int getHeight()

  Returns height of the rectangle.

### getX

    protected static final int getX(Handle obj)

  BEGINNING OF GENERATED CODE

### getY

    protected static final int getY(Handle obj)

### getWidth

    protected static final int getWidth(Handle obj)

### getHeight

    protected static final int getHeight(Handle obj)